Os clientes dos pacotes UserAuth e NGRules, quando adquirem as respectivas licenças anuais de uso, contam com a garantia de suporte e atualização dos mesmos.

Com o lançamento oficial do pfSense® 2.5 CE, nosso time de engenharia trabalhou rápido para adequar o formato do repositório extra, bem como, compilar as ferramentas para a nova versão da plataforma.

Como de costume, esta tarefa foi desenvolvida pelo nosso time com extrema rapidez e eficácia. Desde a sexta-feira (19/02), os pacotes comerciais mantidos pela ConexTI (UserAuth e NGRules) já estão totalmente compatibilizados com a última versão estável do pfSense®.

A partir de agora, os pacotes UserAuth e NGRules serão suportados EXCLUSIVAMENTE para pfSense® 2.5 ou superiores!

O mesmo acontece com as contribuições feitas à comunidade através de pacotes como: E2Guardian, Sarg, WPAD, etc… Todas estas ferramentas são open-sources e podem ser utilizadas livremente por qualquer pessoa ou instituição.

Neste tópico, um reconhecimento todo especial ao Marcello Coutinho – líder de desenvolvimento – pelo seu empenho pessoal na manutenção destes pacotes de forma completamente voluntária. Este, aliás, também é um compromisso da ConexTI, que sempre acreditou e investiu em soluções de código fonte aberto.

Boas práticas para atualização do pfSense® 2.5

Embora não seja uma informação nova, ao contrário disso é extremamente bem documentada no guia oficial do pfSense®, vale ressaltar aqui as boas práticas para uma atualização suave do pfSense® e seus pacotes:

  1. Execute sempre um backup full de todas as configurações antes de qualquer coisa;
  2. Desinstale todos os pacotes (tanto oficiais quanto extras);
  3. Remova os repositórios extras do pfSense®:
    • rm -f /usr/local/etc/pkg/repos/wmi.conf
    • rm -f /usr/local/etc/pkg/repos/Unofficial.conf
  4. Proceda com a atualização do pfSense® para a última versão estável (neste momento pfSense® 2.5 CE);
  5. Com o pacote System Patches instalado, aplique o patch que possibilita habilitar repositórios extras, conforme procedimento documentado.
  6. Reinstale os Repositórios Extras;
  7. Reinstale os pacotes (oficiais e extras).

Instalando Repositórios Extras no pfSense® 2.5

Para habilitar o repositório dos pacotes comerciais da ConexTI (UserAuth e NGRules) no pfSense® 2.5, basta ir até Diagnostics->Command Prompt e executar:

fetch -q -o /usr/local/etc/pkg/repos/wmi.conf https://e-sac.websiteseguro.com/wmi/wmi.txt

Já para habilitar o repositório dos demais pacotes open-sources (E2Guardian e afins) no pfSense® 2.5, basta executar:

fetch -q -o /usr/local/etc/pkg/repos/Unofficial.conf https://raw.githubusercontent.com/marcelloc/Unofficial-pfSense-packages/master/Unofficial_25.conf

Ficou com dúvidas ainda?

O melhor local para buscar informação de qualidade é sempre a documentação oficial da respectiva ferramenta. Neste sentido, seguem links importantes:

“pfSense® é uma marca registrada da Electric Sheep Fencing, LLC”